using FitConnect;
using FitConnect.Models;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;

namespace DemoRunner;

public static class SenderDemo {
    public static async Task Run(IConfigurationRoot config, ILogger logger) {
        var clientId = config["FitConnect:Sender:ClientId"];
        var clientSecret = config["FitConnect:Sender:ClientSecret"];
        var destinationId = config["FitConnect:Sender:DestinationId"];
        var leikaKey = config["FitConnect:Sender:LeikaKey"];


        OutputHelper.PrintSender();

        var createdSubmission = SubmissionBuilder
            .WithDestination(destinationId)
            .WithServiceType("FIT Connect Demo", leikaKey)
            .WithAttachments(new Attachment("Test.pdf", "Test Attachment"))
            .WithJsonData("{\"message\":\"Hello World\"}")
            .Build();
        
        await Client.GetSender(FitConnectEnvironment.Testing, clientId, clientSecret, logger)
            .SendAsync(createdSubmission);
    }
}
