namespace FitConnect.Interfaces.Sender;

public interface ISenderWithAttachments : ISenderReady {
    /// <summary>
    ///     Data as string.
    /// </summary>
    /// <param name="data">json as string</param>
    /// <example>
    ///     .WithJsonData(@"{ ""name"": ""John Doe"" }")
    /// </example>
    /// <returns>next step to submit the data</returns>
    public ISenderWithData WithJsonData(string data);
    
    /// <summary>
    ///     Data as string.
    /// </summary>
    /// <param name="data">xml as string</param>
    /// <returns>next step to submit the data</returns>
    public ISenderWithData WithXmlData(string data);
}
